<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Science and Engineering Ethics (2001) 7, 231-238</title>
</head>
<body>
	<em>Science and Engineering Ethics (2001) 7, 231-238</em>
	<hr>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>

	<p><strong>IEEE/CS/ACM Joint Task Force on Software Engineering Ethics and Profesional Practices</strong></p>
	<hr>
	<p><strong>Keywords:</strong>code of ethics, professional responsibility, software engineering</p>

	<p><strong>PREAMBLE</strong></p>
	<p>The short version of the code summarizes aspirations at a high level of abstraction. The claises that are included in the full version give examples and details of how these aspirations change he way we act as software engineering professional. Without the aspirations, the details can become legalistics and tedious; without the details from a cohesive code.</p>
	<p>Software engineers shall commit themselves making the analysis, specification, design, deveopment, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>
	<p><strong>PRINCIPLES</strong>
		<ol>
			<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
			<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
			<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standard possible.</li>
			<li><em>Judgment.</em> Software engineers shall maintain integrity and independence in their professional judgment.</li>
			<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software deveopment and maintenance.</li>
			<li><em>Profession.</em> Software engineer shall advance the integrity and reputation of the profession consistent with the public interest</li>
			<li><em>Collegues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
			<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
		</ol>
	</p>


</body>
</html>